# Generated from listo-0.7.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name listo

Name: rubygem-%{gem_name}
Version: 0.7.0
Release: 1%{?dist}
Summary: A Ruby wrapper for the listo.mx API
License: Nonstandard
URL: https://github.com/go-tandem/listo
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(vcr) >= 3.0
# BuildRequires: rubygem(vcr) < 4
# BuildRequires: rubygem(vcr) >= 3.0.3
# BuildRequires: rubygem(pry) = 0.9.12
# BuildRequires: rubygem(webmock) >= 2.1
# BuildRequires: rubygem(webmock) < 3
BuildArch: noarch

%description
A Ruby implementation for the listo.mx web API.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.editorconfig
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/listo-0.4.0.gem
%{gem_instdir}/listo-0.5.0.gem
%{gem_instdir}/listo-0.6.0.gem
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/listo.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.7.0-1
- Initial package
